/*
 * @Author: Badguy
 * @Date: 2022-05-17 17:04:32
 * @LastEditTime: 2022-05-26 14:54:12
 * @LastEditors: your name
 * @Description: 时区相关
 * have a nice day!
 */
import { timeInZone } from '@/utils/table'
import { mapGetters } from 'vuex'

function getTimeInZone(time, timeZone) {
  return timeInZone((time ?? '').replace('T', ' '), timeZone)
}

export default {
  computed: {
    ...mapGetters(['timeZone'])
  },
  methods: {
    // 表格数据格式化
    tableFormat(row, column, cellValue) {
      switch (column.property) {
        // case 'FlightDate':
        //   return cellValue.split('-').slice(1).join('-')
        case 'PlanLandingTime':
        case 'PlanDepartureTime':
          return timeInZone(cellValue, this.timeZone)
        case 'ActualDepartureTime':
        case 'ActualLandingTime':
          return timeInZone(cellValue.replace('T', ' '), this.timeZone).replace(' ', '\n')
        case 'checkIn':
          return `${cellValue ?? ''}\n${getTimeInZone(row['checkInTime'], this.timeZone)}`
        case 'DealInfo':
          return `${cellValue ?? ''}\n${getTimeInZone(row['DealTime'], this.timeZone)}`
        case 'sortLocationMark':
          return `${cellValue ?? ''}\n${getTimeInZone(row['sortDealTime'], this.timeZone)}`
        case 'loadLocationMark':
          return `${cellValue ?? ''}\n${getTimeInZone(row['loadDealTime'], this.timeZone)}`
        case 'inflLocationMark':
          return `${cellValue ?? ''}\n${getTimeInZone(row['inflLoadDealTime'], this.timeZone)}`
        case 'timeDifference':
          return cellValue <= -120 ? '-2h+' : cellValue >= 120 ? '2h+' : cellValue
        default:
          return cellValue ?? ''
      }
    }
  }
}
